Inserer une pieces dans un assemblage Solidwork [Résolu]

lucasgaetan
Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Dernière intervention
25 mars 2011
- 22 oct. 2010 à 14:32 - Dernière réponse : lucasgaetan
Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Dernière intervention
25 mars 2011
- 25 oct. 2010 à 14:45
Bonjour,

Je cherche un code qui me permet d'aller chercher une piece (TOTO.sldprt) située sous c:\temp
et de l'integrer sous SolidWorks à un assemble ouvert
je calle sur le "chargement" de la piece


merci
Afficher la suite 

Votre réponse

1 réponse

Meilleure réponse
lucasgaetan
Messages postés
8
Date d'inscription
mardi 19 octobre 2010
Dernière intervention
25 mars 2011
- 25 oct. 2010 à 14:45
3
Merci
toujours personne,

voici mon code qui ne fonction pas:

-----------------------------

Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
'Dim RouteMgr As Object
'Set RouteMgr = Part.GetRouteManager()

'ouvrir du fichier
Set Part = swApp.NewDocument("C:\temp\assemble.SLDASM", 0, 0, 0)


'charger piece
'Là j'ai besoin d'aide

'Dim Piece
'Dim value As Boolean
'Piece = "C:\temp\TOTO.SLDPRT"
'value = instance.IsLoaded()

'insertion piece
Dim component As Object
Set component = Part.Extension
Part.AddComponent Piece, 0, 0, 0


End Sub

Merci lucasgaetan 3

Avec quelques mots c'est encore mieux Ajouter un commentaire

Codes Sources a aidé 94 internautes ce mois-ci

Commenter la réponse de lucasgaetan

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.